ch.qos.logback.core.status

## Class InfoStatus

- java.lang.Object
- - ch.qos.logback.core.status.StatusBase
  - - ch.qos.logback.core.status.InfoStatus

All Implemented Interfaces:
  Status

    public class InfoStatus
    extends StatusBase

### Field Summary

### Fields inherited from interface ch.qos.logback.core.status.Status

`ERROR, INFO, WARN`

### Constructor Summary

Constructors
Constructor and Description
`InfoStatus(String msg, Object origin)`
`InfoStatus(String msg, Object origin, Throwable t)`

### Method Summary

### Methods inherited from class ch.qos.logback.core.status.StatusBase

`add, equals, getDate, getEffectiveLevel, getLevel, getMessage, getOrigin, getThrowable, hasChildren, hashCode, iterator, remove, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InfoStatus

    public InfoStatus(String msg,
                      Object origin)

#### InfoStatus

    public InfoStatus(String msg,
                      Object origin,
                      Throwable t)